## form designer-0.1.0.pre

=== requirements.txt ===
Django>=1.4
FeinCMS>=1.5

## form 4.1

=== debian/changelog ===
form (4.1-1) unstable; urgency=medium

  * Initial release. (Closes: #832903)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 29 Jul 2016 11:55:40 +0200

=== debian/control ===
Source: form
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>=9), autotools-dev, libmpich-dev, texlive-latex-base, ruby, strace
Standards-Version: 3.9.8
Homepage: http://www.nikhef.nl/~form/

Package: form
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Symbolic manipulation system
 This is a Symbolic Manipulation System. It reads symbolic expressions from
 files and executes symbolic/algebraic transformations upon them. The answers
 are returned in a textual mathematical representation. As its landmark
 feature, the size of the considered expressions in FORM is only limited by
 the available disk space and not by the available RAM.

Package: form-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: Documentation for symbolic manipulation system
 This is the documentation for the Symbolic Manipulation System. It reads
 symbolic expressions from files and executes symbolic/algebraic
 transformations upon them. The answers are returned in a textual
 mathematical representation. As its landmark feature, the size of the
 considered expressions in FORM is only limited by the available disk
 space and not by the available RAM.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autotools_dev --parallel

override_dh_auto_configure:
	dh_auto_configure -- --enable-parform

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C doc pdf

override_dh_compress:
	dh_compress -Xpdf

## form 4.2.0+git20170914

=== debian/changelog ===
form (4.2.0+git20170914-1) unstable; urgency=medium

  * New upstream release.
  * Bump debian/compat level to 10.
  * debian/control: Build-Depends extended.
  * debian/rules: Drop tests.
  * Bump standards version to 4.0.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 14 Sep 2017 11:53:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>=9), autotools-dev, libmpich-dev, texlive-latex-base, ruby, strace
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>=10), autotools-dev, libmpich-dev, texlive-latex-base, ruby, strace, openmpi-bin | mpich
+Standards-Version: 4.0.0
 Homepage: http://www.nikhef.nl/~form/
 
 Package: form

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,6 @@
 
 override_dh_compress:
 	dh_compress -Xpdf
+
+override_dh_auto_test:
+	@echo skipping test

## form 4.2.0+git20180528

=== debian/changelog ===
form (4.2.0+git20180528-1) unstable; urgency=medium

  * New upstream version.
  * Build-Depend on mpi-defaults. (Closes: #899069)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 28 May 2018 14:18:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>=10), autotools-dev, libmpich-dev, texlive-latex-base, ruby, strace, openmpi-bin | mpich
+Build-Depends: debhelper (>=10), autotools-dev, mpi-default-dev, mpi-default-bin, texlive-latex-base, ruby, strace
 Standards-Version: 4.0.0
 Homepage: http://www.nikhef.nl/~form/

## form 4.2.1

=== debian/changelog ===
form (4.2.1-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 01 Feb 2019 19:47:28 +0100

form (4.2.0+git20181011-4) unstable; urgency=medium

  * debian/form.desktop: insert text. (Closes: #918937)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 21 Jan 2019 14:32:42 +0100

form (4.2.0+git20181011-3) unstable; urgency=medium

  * debian/control: drop ruby.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 12 Dec 2018 09:02:24 +0100

form (4.2.0+git20181011-2) unstable; urgency=medium

  * debian/rules: enable zlib, gmp.
  * debian/control: move strace to depends from build-depends.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 12 Oct 2018 10:24:37 +0200

form (4.2.0+git20181011-1) unstable; urgency=medium

  * New upstream version.
  * debian/rules: drop --with autotools_dev.
  * debian/compat: also bump to 11.
  * debian/control: drop autotools-dev.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 11 Oct 2018 15:09:47 +0200

form (4.2.0+git20180528-2) unstable; urgency=medium

  * Update homepage.
  * Omit -march support. (Closes: #906616)
  * Bump debhelper version to 11.
  * Bump standards version to 4.2.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 27 Aug 2018 15:24:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>=10), autotools-dev, mpi-default-dev, mpi-default-bin, texlive-latex-base, ruby, strace
-Standards-Version: 4.0.0
-Homepage: http://www.nikhef.nl/~form/
+Build-Depends: debhelper (>=11), mpi-default-dev, mpi-default-bin, texlive-latex-base, zlib1g-dev, libgmp-dev
+Standards-Version: 4.2.1
+Homepage: https://www.nikhef.nl/~form/
 
 Package: form
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, strace
 Description: Symbolic manipulation system
  This is a Symbolic Manipulation System. It reads symbolic expressions from
  files and executes symbolic/algebraic transformations upon them. The answers

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autotools_dev --parallel
+	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-parform
+	dh_auto_configure -- --enable-parform --with-zlib --with-gmp
 
 override_dh_auto_build:
 	dh_auto_build

## form 4.2.1%2Bgit20200217

=== debian/watch ===
version=4
https://github.com/vermaseren/form/releases /vermaseren/form/releases/download/v[^/]+/form-(\d[-\d.]*)\.tar\.gz

## form 4.2.1+git20200217

=== debian/changelog ===
form (4.2.1+git20200217-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.0.
  * Fix Vcs fields.
  * d/control: add build-depends texlive-latex-recommended, texlive-latex-extra, 
    and texlive-fonts-recommended.
  * d/form-doc.doc-base dropped.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 17 Feb 2020 09:09:00 +0100

form (4.2.1-2) unstable; urgency=medium

  * Add Vcs fields.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 05 Nov 2019 11:14:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>=11), mpi-default-dev, mpi-default-bin, texlive-latex-base, zlib1g-dev, libgmp-dev
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>=11), mpi-default-dev, mpi-default-bin, texlive-latex-base, zlib1g-dev, libgmp-dev, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/science-team/form.git
+Vcs-Browser: https://salsa.debian.org/science-team/form
 Homepage: https://www.nikhef.nl/~form/
 
 Package: form

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-# See debhelper(7) (uncomment to enable)
-# output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
 # see FEATURE AREAS in dpkg-buildflags(1)
@@ -16,6 +14,11 @@
 	dh_auto_build
 	$(MAKE) -C doc pdf
 
+override_dh_auto_install:
+	dh_auto_install
+	mkdir -p debian/form-doc/usr/share/doc/form-doc/
+	cp doc/manual/manual.pdf debian/form-doc/usr/share/doc/form-doc/
+
 override_dh_compress:
 	dh_compress -Xpdf

## form 4.3.0%2Bgit20230104%2Bds

=== debian/changelog ===
form (4.3.0+git20230104+ds-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:49:17 +1100

form (4.3.0+git20230104+ds-1build1) noble; urgency=medium

  * No-change rebuild against libopenmpi3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:25:13 +0000

form (4.3.0+git20230104+ds-1) unstable; urgency=medium

  * New upstream version. (Closes: #1024562)

 -- Gürkan Myczko <tar@debian.org>  Wed, 04 Jan 2023 08:56:54 +0100

form (4.3.0-1) unstable; urgency=medium

  * New upstream release.
  * d/rules: set --enable-native=no for ./configure.

 -- Gürkan Myczko <tar@debian.org>  Mon, 21 Nov 2022 12:33:58 +0100

form (4.2.1+git20220202+ds-2) unstable; urgency=medium

  * Upload to sid.
  * d/copyright: add Upstream-Contact.
  * Bump standards version to 4.6.1.
  * d/control: wrap build-depends.
  * d/upstream/metadata: added.
  * d/changelog: trim trailing whitespace.

 -- Gürkan Myczko <tar@debian.org>  Fri, 16 Sep 2022 22:45:06 +0200

form (4.2.1+git20220202+ds-1) experimental; urgency=medium

  * New upstream version.
  * Update maintainer address.
  * d/copyright: bump years.
  * Bump standards version to 4.6.0.

 -- Gürkan Myczko <tar@debian.org>  Wed, 02 Feb 2022 15:57:33 +0100

form (4.2.1+git20210319-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.1.
  * Bump debhelper version to 13, drop d/compat.
  * d/control: add ruby, latex2html, and texlive-plain-generic to
    build-depends.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 19 Mar 2021 08:33:41 +0100

## form 4.3.0+git20230104+ds

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,14 @@
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+#export CC=gcc-11
+#export CXX=g++-11
+
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-parform --with-zlib --with-gmp
+	dh_auto_configure -- --enable-parform --with-zlib --with-gmp --enable-native=no
 
 override_dh_auto_build:
 	dh_auto_build

## form 4.3.1+git20240409+ds

=== debian/changelog ===
form (4.3.1+git20240409+ds-2ubuntu2) plucky; urgency=medium

  * No-change rebuild for openmpi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Nov 2024 07:13:01 +0100

form (4.3.1+git20240409+ds-2ubuntu1) oracular; urgency=medium

  * d/p/fix-gcc-14-incompatible-pointer-types: Adapt code to gcc-14
    new standards making explicit castings (LP: #2075550).

 -- Miriam España Acebal <miriam.espana@canonical.com>  Thu, 01 Aug 2024 15:50:07 +0200

form (4.3.1+git20240409+ds-2build1) oracular; urgency=medium

  * No-change rebuild against mpi-defaults 1.17

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 30 Jul 2024 13:05:37 -0700

form (4.3.1+git20240409+ds-2) unstable; urgency=medium

  * d/control: add missing build-depends: libmpfr-dev.
  * Bump standards version to 4.6.2.

 -- Alex Myczko <tar@debian.org>  Tue, 09 Apr 2024 13:49:39 +0200

form (4.3.1+git20240409+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.
  * d/clean: updated.
  * d/rules: temporarly disable doc generation.

 -- Alex Myczko <tar@debian.org>  Tue, 09 Apr 2024 09:23:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,22 @@
 Source: form
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>=11), mpi-default-dev, mpi-default-bin, texlive-latex-base, zlib1g-dev, libgmp-dev, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended
-Standards-Version: 4.5.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Alex Myczko <tar@debian.org>
+Build-Depends: debhelper-compat (=13),
+ mpi-default-dev,
+ mpi-default-bin,
+ libmpfr-dev,
+ texlive-latex-base,
+ zlib1g-dev, libgmp-dev,
+ texlive-latex-recommended,
+ texlive-latex-extra,
+ texlive-fonts-recommended,
+ latex2html,
+ ruby,
+ texlive-plain-generic
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/science-team/form.git
 Vcs-Browser: https://salsa.debian.org/science-team/form
 Homepage: https://www.nikhef.nl/~form/

=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,13 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	$(MAKE) -C doc pdf
+	$(MAKE)
+# -C doc pdf
 
 override_dh_auto_install:
 	dh_auto_install
 	mkdir -p debian/form-doc/usr/share/doc/form-doc/
-	cp doc/manual/manual.pdf debian/form-doc/usr/share/doc/form-doc/
+#	cp doc/manual/manual.pdf debian/form-doc/usr/share/doc/form-doc/
 
 override_dh_compress:
 	dh_compress -Xpdf

## form 4.3.1+git20250227+ds

=== debian/changelog ===
form (4.3.1+git20250227+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * d/control: fix typo in architecture list.

 -- Alex Myczko <tar@debian.org>  Tue, 08 Apr 2025 05:59:17 +0000

form (4.3.1+git20250227+ds-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.0.
  * d/control: restrict building to 64 bit hosts only.

 -- Alex Myczko <tar@debian.org>  Thu, 27 Feb 2025 15:32:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: form
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (=13),
  mpi-default-dev,
@@ -16,13 +15,13 @@
  latex2html,
  ruby,
  texlive-plain-generic
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/science-team/form.git
 Vcs-Browser: https://salsa.debian.org/science-team/form
 Homepage: https://www.nikhef.nl/~form/
 
 Package: form
-Architecture: any
+Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x alpha hurd-amd64 loong64 ppc64 sparc64
 Depends: ${shlibs:Depends}, ${misc:Depends}, strace
 Description: Symbolic manipulation system
  This is a Symbolic Manipulation System. It reads symbolic expressions from

## form 5.0.0

=== debian/changelog ===
form (5.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Alex Myczko <tar@debian.org>  Sun, 15 Feb 2026 06:06:39 +0000

form (5.0.0-1) experimental; urgency=medium

  * New upstream version.
  * d/copyright: bump years.
  * d/watch: update to version 5.
  * Bump standards version to 4.7.2.
  * d/control: add libflint-dev to build-depends.

 -- Alex Myczko <tar@debian.org>  Tue, 27 Jan 2026 21:29:51 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  mpi-default-dev,
  mpi-default-bin,
  libmpfr-dev,
+ libflint-dev,
  texlive-latex-base,
  zlib1g-dev, libgmp-dev,
  texlive-latex-recommended,
@@ -15,7 +16,7 @@
  latex2html,
  ruby,
  texlive-plain-generic
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/science-team/form.git
 Vcs-Browser: https://salsa.debian.org/science-team/form
 Homepage: https://www.nikhef.nl/~form/
